# Class DefaultTlsSocketPlugin

java.lang.Object
org.mariadb.jdbc.plugin.tls.main.DefaultTlsSocketPlugin

All Implemented Interfaces:
  `TlsSocketPlugin`

public class DefaultTlsSocketPlugin extends Object implements TlsSocketPlugin
Default TLS socket plugin

## Constructor Summary

Constructors
Constructor
Description
`DefaultTlsSocketPlugin()`

## Method Summary

Modifier and Type
Method
Description
`KeyManager[]`
`getKeyManager(Configuration conf, ExceptionFactory exceptionFactory)`
`TrustManager[]`
`getTrustManager(Configuration conf, ExceptionFactory exceptionFactory, HostAddress hostAddress)`
`String`
`type()`
plugin type.
`void`
`verify(String host, SSLSession session, long serverThreadId)`
Host name verifier implementation.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface TlsSocketPlugin

`createSocket`

## Constructor Details

### DefaultTlsSocketPlugin

public DefaultTlsSocketPlugin()

## Method Details

### type

public String type()
Description copied from interface: `TlsSocketPlugin`
plugin type.

Specified by:
  `type` in interface `TlsSocketPlugin`
Returns:
  plugin type

### getTrustManager

public TrustManager[] getTrustManager(Configuration conf, ExceptionFactory exceptionFactory, HostAddress hostAddress) throws SQLException

Specified by:
  `getTrustManager` in interface `TlsSocketPlugin`
Throws:
  `SQLException`

### getKeyManager

public KeyManager[] getKeyManager(Configuration conf, ExceptionFactory exceptionFactory) throws SQLException

Specified by:
  `getKeyManager` in interface `TlsSocketPlugin`
Throws:
  `SQLException`

### verify

public void verify(String host, SSLSession session, long serverThreadId) throws SSLException
Description copied from interface: `TlsSocketPlugin`
Host name verifier implementation.

Specified by:
  `verify` in interface `TlsSocketPlugin`
Parameters:
  `host` - hostname
  `session` - ssl session
  `serverThreadId` - current server threadId
Throws:
  `SSLException` - if verification fail